pcl::_Normal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_Normal:

## Public Attributes

| PCL_ADD_NORMAL4D
union {
struct {
float curvature
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 747 of file point_types.hpp.

## Member Data Documentation

union { ... }

float pcl::_Normal::curvature

Definition at line 754 of file point_types.hpp.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::computeMLSPointNormal(), pcl::Supervoxel< PointT >::getCentroidPointNormal(), pcl::SupervoxelClustering< PointT >::VoxelData::getNormal(), pcl::Normal::Normal(), and pcl::MovingLeastSquares< PointInT, PointOutT >::projectPointToMLSSurface().

float pcl::_Normal::data_c[4]

Definition at line 756 of file point_types.hpp.

pcl::_Normal::PCL_ADD_NORMAL4D

Definition at line 749 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp